module GraphQLAuthorizer
  module Validator
    # Module for Validating Time Stamp
    module Timestamp
      def request_timestamp_is_valid?(timestamp:)
        current_time = Time.now
        request_time = Time.at(timestamp.to_i)
        one_minute     = 60
        time_difference_in_minutes = ((current_time - request_time) / one_minute)
                                     .round
                                     .abs # Get absolute Value

        # Check if request is received within a minute
        # the request has been sent from client
        time_difference_in_minutes < 1
      end
    end
  end
end
